# Generated by Django 2.1.1 on 2019-02-13 23:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CasualtyType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, null=True, verbose_name='Tipo de siniestro')),
            ],
            options={
                'verbose_name': 'Tipo de siniestro',
                'verbose_name_plural': 'Tipos de siniestros',
            },
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Nombre')),
                ('acronym', models.CharField(blank=True, max_length=5, null=True, verbose_name='Acrónimo')),
            ],
            options={
                'verbose_name': 'Cliente',
                'verbose_name_plural': 'Clientes',
            },
        ),
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('entry_date', models.DateField(blank=True, null=True, verbose_name='Fecha de entrada')),
                ('update_date', models.DateField(auto_now=True, null=True, verbose_name='Modificado')),
                ('due_date', models.DateField(blank=True, null=True, verbose_name='Fecha límite')),
                ('close_date', models.DateField(blank=True, null=True, verbose_name='Fecha de cierre')),
                ('case_number', models.CharField(blank=True, max_length=255, null=True, verbose_name='Nº de expediente')),
                ('casualty_date', models.DateField(blank=True, null=True, verbose_name='Fecha del siniestro')),
                ('casualty_address', models.TextField(blank=True, null=True, verbose_name='Dirección del siniestro')),
                ('casualty_city', models.CharField(blank=True, max_length=255, null=True, verbose_name='Población del siniestro')),
                ('insurance_policy_number', models.CharField(blank=True, max_length=50, null=True, verbose_name='Nº de póliza')),
                ('policyholder_name', models.CharField(blank=True, max_length=50, null=True, verbose_name='Nombre del asegurado')),
                ('policyholder_phone', models.CharField(blank=True, max_length=50, null=True, verbose_name='Teléfono del asegurado')),
                ('policyholder_email', models.CharField(blank=True, max_length=50, null=True, verbose_name='Email del asegurado')),
                ('casualty_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='jobs.CasualtyType', verbose_name='Tipo de siniestro')),
                ('client', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='jobs.Client', verbose_name='Cliente')),
            ],
        ),
        migrations.CreateModel(
            name='JobStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, help_text='A ser posible usa un participio', max_length=60, null=True, verbose_name='Nombre del estado')),
                ('weight', models.PositiveSmallIntegerField(blank=True, default=0, null=True)),
            ],
            options={
                'verbose_name': 'Estado de un encargo',
                'verbose_name_plural': 'Estados de los encargos',
                'ordering': ['weight'],
            },
        ),
        migrations.CreateModel(
            name='JobType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, null=True, verbose_name='Tipo de encargo')),
                ('weight', models.PositiveSmallIntegerField(blank=True, default=0, null=True)),
            ],
            options={
                'verbose_name': 'Tipo de encargo',
                'verbose_name_plural': 'Tipos de encargos',
                'ordering': ['weight'],
            },
        ),
        migrations.CreateModel(
            name='JobVisit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('visit_date', models.DateField(blank=True, null=True, verbose_name='Fecha de la visita')),
                ('visit_notes', models.TextField(blank=True, null=True, verbose_name='Notas de la visita')),
                ('job', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='jobs.Job', verbose_name='Job')),
            ],
            options={
                'verbose_name': 'Visita',
                'verbose_name_plural': 'Visitas',
            },
        ),
        migrations.CreateModel(
            name='Ramo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, null=True, verbose_name='Nombre')),
                ('code', models.CharField(max_length=3, null=True, verbose_name='Código')),
            ],
            options={
                'verbose_name': 'Ramo',
                'verbose_name_plural': 'Ramos',
            },
        ),
        migrations.AddField(
            model_name='job',
            name='job_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='jobs.JobStatus', verbose_name='Estado del encargo'),
        ),
        migrations.AddField(
            model_name='job',
            name='job_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='jobs.JobType', verbose_name='Tipo de encargo'),
        ),
        migrations.AddField(
            model_name='job',
            name='ramo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='jobs.Ramo', verbose_name='Ramo'),
        ),
    ]
